Skip to main content
POST
/
v1
/
projects
/
{projectId}
/
schedules
curl --request POST \
  --url https://eu1.api.matillion.com/dpc/v1/projects/{projectId}/schedules \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "pipeline": {
    "pipelineName": "Pipeline 1",
    "environmentName": "Dev Environment"
  },
  "schedule": {
    "cronExpression": "0 * * ? * * *",
    "cronTimezone": "Europe/Dublin",
    "effectiveFrom": "2022-05-19T12:37:44.000Z",
    "name": "Nightly database backup",
    "scheduleEnabled": false
  }
}
'
{
  "scheduleId": "a2239897-51f8-4c09-83ab-0b2c28bd5a37"
}

Authorizations

Authorization
string
header
required

a valid bearer token

Path Parameters

projectId
string<uuid>
required

Body

application/json

Schedule request body for creating a new scheduled request for the pipeline

pipeline
object
required

Pipeline and environment details

schedule
object
required

Scheduler details

Response

Schedule created

scheduleId
string

The generated unique schedule Id used to identify a specific schedule

Example:

"a2239897-51f8-4c09-83ab-0b2c28bd5a37"